Bug 159964 - popt rpm comes with libpopt.la
popt rpm comes with libpopt.la
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-09 15:27 EDT by jeroen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 22:20:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jeroen 2005-06-09 15:27:44 EDT
The current popt rpm in rawhide installs /usr/lib/libpopt.la. This is bad
(screws up building GNOME since building on x86_64 and the existence of
libpopt.la will make stuff try to link against /usr/lib/libpopt.so instead of
/usr/lib64/libpopt.so).

This applies to both the i386 as well as the x86_64 rpms.

$rpm -q popt
popt-1.10.1-21
Comment 1 Jeff Johnson 2005-08-26 22:20:07 EDT
Yes, the popt.i386 package installs into /usr/lib. Install popt.x86_64:

$ rpm -qlvp popt-1.10.2-3.x86_64.rpm
...
-rw-r--r--    1 root    root            44912 Jul 27 08:15 /usr/lib64/libpopt.a
-rwxr-xr-x    1 root    root              788 Jul 27 08:15 /usr/lib64/libpopt.la
lrwxrwxrwx    1 root    root               16 Jul 27 08:15 /usr/lib64/libpopt.so

Note You need to log in before you can comment on or make changes to this bug.